Loading...
Searching...
No Matches
starpu_mpi_task_insert.h File Reference

Go to the source code of this file.

## Functions

int | _starpu_mpi_find_executee_node (starpu_data_handle_t data, enum starpu_data_access_mode mode, int me, int *do_execute, int *inconsistent_execute, int *xrank)
int | _starpu_mpi_exchange_data_before_execution (starpu_data_handle_t data, enum starpu_data_access_mode mode, int me, int xrank, int do_execute, int prio, MPI_Comm comm)
int | _starpu_mpi_task_postbuild_v (MPI_Comm comm, int xrank, int do_execute, struct starpu_data_descr *descrs, int nb_data, int prio)
void | _starpu_mpi_redux_wrapup_data_all ()
void | _starpu_mpi_redux_wrapup_data (starpu_data_handle_t data_handle)
void | _starpu_mpi_pre_submit_hook_call (struct starpu_task *task)